/**
 * Distribution License:
 * JSword is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License, version 2.1 as published by
 * the Free Software Foundation. This program is distributed in the hope
 * that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * The License is available on the internet at:
 *       http://www.gnu.org/copyleft/lgpl.html
 * or by writing to:
 *      Free Software Foundation, Inc.
 *      59 Temple Place - Suite 330
 *      Boston, MA 02111-1307, USA
 *
 * Copyright: 2005
 *     The copyright to this program is held by it's authors.
 *
 * ID: $Id: DefaultKeyVisitor.java,v 1.6 2005/07/27 23:25:45 dmsmith Exp $
 */
package org.crosswire.jsword.passage;

/**
 * A default implementation of KeyVisitor that does nothing, for use in
 * inheritance where you want to save space by not overriding all methods.
 * 
 * @see gnu.lgpl.License for license details.
 *      The copyright to this program is held by it's authors.
 * @author Joe Walker [joe at eireneh dot com]
 */
public class DefaultKeyVisitor implements KeyVisitor
{
    /* (non-Javadoc)
     * @see org.crosswire.jsword.passage.KeyVisitor#visitLeaf(org.crosswire.jsword.passage.Key)
     */
    public void visitLeaf(Key key)
    {
    }

    /* (non-Javadoc)
     * @see org.crosswire.jsword.passage.KeyVisitor#visitBranch(org.crosswire.jsword.passage.Key)
     */
    public void visitBranch(Key key)
    {
    }
}
